Kerbal Space Program - Bug #15193

1.2.2/1.2.9 Visible fog curtain and shadow discontinuities in KSC or when landing (GTX 1070, Win 10,
D3D9, D3D11, GLCore)

05/10/2017 09:34 AM - ono

Status: Duplicate Start date: 05/10/2017
Severity: Normal % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Hello KSP team,
This is my 1st bug report, so first of all thank you for groundbreaking game for all my family.

Now here's is the bug that makes me enjoy KSP less. | have GTX 1070, lastest NVIDIA drivers (checked also older), Win 10 (latest
updates), and | can see really annoying artifact in KSC (see attached two screenshots) regardless if | am using mods or vanilla KSP.
These artifact are also visible when | am approaching ground, like half of the shadow is lo-res, middle is missing and rest is hi-res.

| thought it is some Unity or driver bug, but | honestly | cannot see anything similar in other (Unity) games.
This bug is somehow similar to one reported in #13176, so it may/may not be duplicate.

I humbly please to ask you if is there anything | can do to mitigate that, | tried everything, running -force-d3d11 or -force-glcore,
tuning rendering quality, shadow cascades, nothing helps, and this is kind of ruining the whole experience.

Related issues:
Related to Kerbal Space Program - Bug #13176: 1.2.1 Shadow cut off bug/LOD/FO... Closed 11/02/2016

History

#1 - 03/14/2018 11:08 PM - Squelch
- Related to Bug #13176: 1.2.1 Shadow cut off bug/LOD/FOV issue. added

#2 - 03/14/2018 11:08 PM - Squelch
- Status changed from New to Duplicate
- % Done changed from 0 to 100

- Expansion Core Game added
